Bug 138556 - File conflicts between kdesdk and kdelibs
File conflicts between kdesdk and kdelibs
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: kdesdk (Show other bugs)
3
All Linux
medium Severity high
: ---
: ---
Assigned To: Ngo Than
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-11-09 16:25 EST by Andreas Müller
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-11-09 17:09:19 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andreas Müller 2004-11-09 16:25:41 EST
Description of problem:
I've installed FC3 and tried to install the official KDE update. There
are file conflicts between kdesdk and kdelibs.

Version-Release number of selected component (if applicable):
kdesdk-3.3.1-1
kdelibs-3.3.1-2.2

How reproducible:
always.

Steps to Reproduce:
1. install FC3
2. try yum update
3. update fails due to file conflicts
  
Actual results:
  file /usr/share/doc/HTML/en/common/1.png conflicts between attempted
installs of kdelibs-3.3.1-2.2 and kdesdk-3.3.1-1
  file /usr/share/doc/HTML/en/common/10.png conflicts between
attempted installs of kdelibs-3.3.1-2.2 and kdesdk-3.3.1-1
  file /usr/share/doc/HTML/en/common/2.png conflicts between attempted
installs of kdelibs-3.3.1-2.2 and kdesdk-3.3.1-1
  file /usr/share/doc/HTML/en/common/3.png conflicts between attempted
installs of kdelibs-3.3.1-2.2 and kdesdk-3.3.1-1
  file /usr/share/doc/HTML/en/common/4.png conflicts between attempted
installs of kdelibs-3.3.1-2.2 and kdesdk-3.3.1-1
  file /usr/share/doc/HTML/en/common/5.png conflicts between attempted
installs of kdelibs-3.3.1-2.2 and kdesdk-3.3.1-1
  file /usr/share/doc/HTML/en/common/6.png conflicts between attempted
installs of kdelibs-3.3.1-2.2 and kdesdk-3.3.1-1
  file /usr/share/doc/HTML/en/common/7.png conflicts between attempted
installs of kdelibs-3.3.1-2.2 and kdesdk-3.3.1-1
  file /usr/share/doc/HTML/en/common/8.png conflicts between attempted
installs of kdelibs-3.3.1-2.2 and kdesdk-3.3.1-1
  file /usr/share/doc/HTML/en/common/9.png conflicts between attempted
installs of kdelibs-3.3.1-2.2 and kdesdk-3.3.1-1
  file /usr/share/doc/HTML/en/common/appheader.html conflicts between
attempted installs of kdelibs-3.3.1-2.2 and kdesdk-3.3.1-1
  file /usr/share/doc/HTML/en/common/artistic-license.html conflicts
between attempted installs of kdelibs-3.3.1-2.2 and kdesdk-3.3.1-1
  file /usr/share/doc/HTML/en/common/bottom1.png conflicts between
attempted installs of kdelibs-3.3.1-2.2 and kdesdk-3.3.1-1
  file /usr/share/doc/HTML/en/common/bottom2.png conflicts between
attempted installs of kdelibs-3.3.1-2.2 and kdesdk-3.3.1-1
  file /usr/share/doc/HTML/en/common/bsd-license.html conflicts
between attempted installs of kdelibs-3.3.1-2.2 and kdesdk-3.3.1-1
  file /usr/share/doc/HTML/en/common/docheadergears.png conflicts
between attempted installs of kdelibs-3.3.1-2.2 and kdesdk-3.3.1-1
  file /usr/share/doc/HTML/en/common/doctop1.png conflicts between
attempted installs of kdelibs-3.3.1-2.2 and kdesdk-3.3.1-1
  file /usr/share/doc/HTML/en/common/doctop1a.png conflicts between
attempted installs of kdelibs-3.3.1-2.2 and kdesdk-3.3.1-1
  file /usr/share/doc/HTML/en/common/doctop1b.png conflicts between
attempted installs of kdelibs-3.3.1-2.2 and kdesdk-3.3.1-1
  file /usr/share/doc/HTML/en/common/doctop2.png conflicts between
attempted installs of kdelibs-3.3.1-2.2 and kdesdk-3.3.1-1
  file /usr/share/doc/HTML/en/common/doxygen.css conflicts between
attempted installs of kdelibs-3.3.1-2.2 and kdesdk-3.3.1-1
  file /usr/share/doc/HTML/en/common/fdl-license conflicts between
attempted installs of kdelibs-3.3.1-2.2 and kdesdk-3.3.1-1
  file /usr/share/doc/HTML/en/common/fdl-license.html conflicts
between attempted installs of kdelibs-3.3.1-2.2 and kdesdk-3.3.1-1
  file /usr/share/doc/HTML/en/common/footer.html conflicts between
attempted installs of kdelibs-3.3.1-2.2 and kdesdk-3.3.1-1
  file /usr/share/doc/HTML/en/common/gpl-license conflicts between
attempted installs of kdelibs-3.3.1-2.2 and kdesdk-3.3.1-1
  file /usr/share/doc/HTML/en/common/gpl-license.html conflicts
between attempted installs of kdelibs-3.3.1-2.2 and kdesdk-3.3.1-1
  file /usr/share/doc/HTML/en/common/grad.png conflicts between
attempted installs of kdelibs-3.3.1-2.2 and kdesdk-3.3.1-1
  file /usr/share/doc/HTML/en/common/header.html conflicts between
attempted installs of kdelibs-3.3.1-2.2 and kdesdk-3.3.1-1
  file /usr/share/doc/HTML/en/common/headerbg.png conflicts between
attempted installs of kdelibs-3.3.1-2.2 and kdesdk-3.3.1-1
  file /usr/share/doc/HTML/en/common/kde-common.css conflicts between
attempted installs of kdelibs-3.3.1-2.2 and kdesdk-3.3.1-1
  file /usr/share/doc/HTML/en/common/kde-default.css conflicts between
attempted installs of kdelibs-3.3.1-2.2 and kdesdk-3.3.1-1
  file /usr/share/doc/HTML/en/common/kde-localised.css.template
conflicts between attempted installs of kdelibs-3.3.1-2.2 and
kdesdk-3.3.1-1
  file /usr/share/doc/HTML/en/common/kde-web.css conflicts between
attempted installs of kdelibs-3.3.1-2.2 and kdesdk-3.3.1-1
  file /usr/share/doc/HTML/en/common/kde_logo.png conflicts between
attempted installs of kdelibs-3.3.1-2.2 and kdesdk-3.3.1-1
  file /usr/share/doc/HTML/en/common/kde_logo_bg.png conflicts between
attempted installs of kdelibs-3.3.1-2.2 and kdesdk-3.3.1-1
  file /usr/share/doc/HTML/en/common/kmenu.png conflicts between
attempted installs of kdelibs-3.3.1-2.2 and kdesdk-3.3.1-1
  file /usr/share/doc/HTML/en/common/lgpl-license conflicts between
attempted installs of kdelibs-3.3.1-2.2 and kdesdk-3.3.1-1
  file /usr/share/doc/HTML/en/common/lgpl-license.html conflicts
between attempted installs of kdelibs-3.3.1-2.2 and kdesdk-3.3.1-1
  file /usr/share/doc/HTML/en/common/mainfooter.html conflicts between
attempted installs of kdelibs-3.3.1-2.2 and kdesdk-3.3.1-1
  file /usr/share/doc/HTML/en/common/mainheader.html conflicts between
attempted installs of kdelibs-3.3.1-2.2 and kdesdk-3.3.1-1
  file /usr/share/doc/HTML/en/common/qpl-license.html conflicts
between attempted installs of kdelibs-3.3.1-2.2 and kdesdk-3.3.1-1
  file /usr/share/doc/HTML/en/common/shadow.png conflicts between
attempted installs of kdelibs-3.3.1-2.2 and kdesdk-3.3.1-1
  file /usr/share/doc/HTML/en/common/web-docbottom.png conflicts
between attempted installs of kdelibs-3.3.1-2.2 and kdesdk-3.3.1-1
  file /usr/share/doc/HTML/en/common/web-doctop.png conflicts between
attempted installs of kdelibs-3.3.1-2.2 and kdesdk-3.3.1-1
  file /usr/share/doc/HTML/en/common/x11-license.html conflicts
between attempted installs of kdelibs-3.3.1-2.2 and kdesdk-3.3.1-1
  file /usr/share/doc/HTML/en/common/xml.dcl conflicts between
attempted installs of kdelibs-3.3.1-2.2 and kdesdk-3.3.1-1


Expected results:
No conflicts.

Additional info:
Comment 1 Ngo Than 2004-11-09 16:40:34 EST
it's strange, the kdesdk does not include the listed files!
i have updated to KDE 3.3.1 without this conflict. Does it still
happen if you update the kdelibs and kdesdk manually?
Comment 2 Andreas Müller 2004-11-09 17:09:19 EST
Now it works, thanks!

I have to note that I upgraded FC2->FC3, and I used KDE 3.3.1 from
kde-redhat. BUT I don't know why rpm is complaining about the update
packages and not about the kde-redhat ones. Furthermore, the files in
the list are included in kde-redhat's kdelibs, just as the original
package from Red Hat. Is this a bug in rpm? Or just bad kde-redhat
packages?

Sorry for the noise and thanks for the hint!

Andreas
Comment 3 Andreas Müller 2004-11-09 17:19:36 EST
Now it works, thanks!

I have to note that I upgraded FC2->FC3, and I used KDE 3.3.1 from
kde-redhat. BUT I don't know why rpm is complaining about the update
packages and not about the kde-redhat ones. Furthermore, the files in
the list are included in kde-redhat's kdelibs, just as the original
package from Red Hat. Is this a bug in rpm? Or just bad kde-redhat
packages?

Sorry for the noise and thanks for the hint!

Andreas
Comment 4 Ngo Than 2004-11-09 17:39:21 EST
it's not a bug in rpm, but in kde-redhat packages, which caused the
file conflicts with our packages.
Comment 5 Andreas Müller 2004-11-09 17:47:44 EST
Look at the output again, rpm found the conflicts between Red Hat's
packages:

file /usr/share/doc/HTML/en/common/xml.dcl conflicts between
attempted installs of kdelibs-3.3.1-2.2 and kdesdk-3.3.1-1

That is the strange thing here. The files are part of kde-redhat's
kdelibs package and not part of kdesdk, so there were NO conflicts
when upgrading only kdelibs first and in a second step kdesdk.

Note You need to log in before you can comment on or make changes to this bug.